Bug 1475589 - hlint-2.1.5 is available
hlint-2.1.5 is available
Status: NEW
Product: Fedora
Classification: Fedora
Component: hlint (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
hlint-2.0.10:deps
: FutureFeature, Triaged
Depends On: 1530207
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-26 20:15 EDT by Upstream Release Monitoring
Modified: 2018-05-07 20:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Upstream Release Monitoring 2017-07-26 20:15:45 EDT
Latest upstream release: 2.0.9
Current version/release in rawhide: 1.9.41-1.fc26
URL: http://hackage.haskell.org/package/hlint

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/1320/
Comment 1 Upstream Release Monitoring 2017-07-26 20:15:50 EDT
One or more of the new sources for this package are identical to the old sources. It's likely this package does not use the version macro in its Source URLs. If possible, please update the specfile to include the version macro in the Source URLs
Comment 2 Jens Petersen 2017-10-15 22:57:55 EDT
fhbz: No missing dependencies for hlint-2.0.9 
according to cblrpm missingdeps
Comment 3 Upstream Release Monitoring 2017-11-05 19:16:34 EST
Latest upstream release: 2.0.10
Current version/release in rawhide: 1.9.41-3.fc27
URL: http://hackage.haskell.org/package/hlint

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/1320/
Comment 4 Upstream Release Monitoring 2017-11-05 19:16:39 EST
One or more of the new sources for this package are identical to the old sources. It's likely this package does not use the version macro in its Source URLs. If possible, please update the specfile to include the version macro in the Source URLs
Comment 5 Jens Petersen 2018-01-10 00:35:09 EST
fhbz: cblrpm missingdeps output for hlint-2.0.10:

haskell-src-exts-util

haskell-src-exts-util-0.2.1.2 in Stackage lts
Comment 6 Upstream Release Monitoring 2018-03-12 20:14:38 EDT
Latest upstream release: 2.1
Current version/release in rawhide: 2.0.11-6.fc28
URL: http://hackage.haskell.org/package/hlint

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/1320/
Comment 7 Upstream Release Monitoring 2018-03-25 20:14:26 EDT
Latest upstream release: 2.1.1
Current version/release in rawhide: 2.0.11-6.fc28
URL: http://hackage.haskell.org/package/hlint

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/1320/
Comment 8 Upstream Release Monitoring 2018-04-22 20:14:35 EDT
Latest upstream release: 2.1.3
Current version/release in rawhide: 2.0.11-8.fc29
URL: http://hackage.haskell.org/package/hlint

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/1320/
Comment 9 Upstream Release Monitoring 2018-05-07 20:14:48 EDT
Latest upstream release: 2.1.5
Current version/release in rawhide: 2.0.11-8.fc29
URL: http://hackage.haskell.org/package/hlint

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/1320/

Note You need to log in before you can comment on or make changes to this bug.